@charset "utf-8";

html {
  scroll-behavior: smooth;
  --plyr-color-main: #f00;
}

.content-container {
  container-name: content-container;
  container-type: inline-size;
  font-size: 15px;
  --color-main: #172b3a;
  --color-sub: #bfccd6;
  --color-accent: #f44a20;
  line-height: 1.5;
  padding-bottom: 32px;
}

.content-container * {
  box-sizing: border-box;
}

.content-container img {
  max-width: 100%;
  height: auto;
  vertical-align: bottom;
}

.content-container a:hover {
  text-decoration: none;
}

/* header */
.content-container header {
  background: url(../img/top.jpg) right center;
  background-size: cover;
}

.content-container .header-inner {
  padding: 32px;
  display: flex;
  flex-direction: column;
  gap: 16px;
  position: relative;
}

.content-container .ttl-header {
  font-size: 40px;
  font-weight: bold;
  line-height: 1;
}

.content-container .ttl-header span {
  font-weight: bold;
  color: var(--color-accent);
}

.content-container .lead {
  line-height: 1.7;
  margin-bottom: 8px;
  padding-right: 45%;
}

.content-container .wrap-service {
  display: flex;
  gap: 16px;
}

.content-container .box-service {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
  gap: 4px 8px;
  font-size: 13px;
  color: var(--color-text);
  background: rgba(255, 255, 255, 0.8);
  padding: 8px;
  border-radius: 8px;
}

.content-container .box-service img {
  grid-row: 1 / 3;
  background: var(--color-main);
  border-radius: 50%;
  padding: 8px;
  box-sizing: border-box;
  width: 50px;
  aspect-ratio: 1 / 1;
}

.content-container .ttl-service {
  font-weight: bold;
  font-size: 14px;
}

@container content-container (width < 880px) {
  .content-container .wrap-service {
    justify-content: center;
  }
  .content-container .box-service {
    grid-template-columns: 1fr;
  }

  .content-container .box-service img {
    grid-row: 1;
    justify-self: center;
  }
}

@container content-container (width < 860px) {
  .content-container .lead {
    padding: 0;
    text-shadow: 1px 1px 0 rgba(255, 255, 255, 0.8);
  }
}

@container content-container (width < 680px) {
  .content-container header {
    background: #eeeef2;
  }

  .content-container .header-inner {
    padding: 16px;
    gap: 8px;
  }

  .content-container .ttl-header {
    font-size: 28px;
  }

  .content-container .lead {
    padding-bottom: 65%;
    background-image: url(../img/top_sp.jpg);
    background-position: bottom;
    background-size: contain;
    background-repeat: no-repeat;
  }

}

@container content-container (width < 480px) {
  .content-container .wrap-service {
    flex-direction: column;
  }

  .content-container .box-service {
    grid-template-columns: auto 1fr;
  }

  .content-container .box-service img {
    grid-row: 1 / 3;
  }
}

/* section 共通 */
.content-container .sec,
.content-container aside {
  margin-top: 40px;
  padding-inline: 16px;
  max-width: 1260px;
  margin-inline: auto;
}

.content-container .ttl-sec {
  font-weight: bold;
  font-size: 23px;
  margin-bottom: 16px;
  line-height: 1.2;
  padding-left: 16px;
  border-left: 8px solid var(--color-accent);

  @container content-container (width < 680px) {
    font-size: 21px;
  }
}

.content-container .card {
  border: 1px solid #a9b1bb;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.02);
  border-radius: 8px;
  overflow: hidden;
  transition: 0.3s;
}

.content-container a.card:hover {
  transform: translateY(-2px);
  border-color: var(--color-main);
  box-shadow: 0 6px 14px rgba(41, 53, 68, 0.1);
}

.content-container .wrap-sec {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 16px;
  margin-top: 40px;
  padding-inline: 16px;
  max-width: 1260px;
  margin-inline: auto;
}

.content-container .wrap-sec .sec {
  width: 100%;
  margin: 0;
  padding: 0;
}

@container content-container (width < 900px) {
  .content-container .wrap-sec {
    grid-template-columns: 1fr;
    gap: 40px;
  }
}

/* 用途から選ぶ */
.content-container .list-use {
  display: grid;
  grid-template-columns: repeat(3, minmax(240px, 1fr));
  gap: 16px;
  margin-inline: -16px;
  padding-inline: 16px;
  overflow-x: auto;
}

.content-container .list-use li {
  display: contents;
}

.content-container .list-use .card {
  container-type: inline-size;
}

.content-container .list-use li .ttl {
  aspect-ratio: 500 / 200;
  display: flex;
  justify-content: center;
  align-items: center;
  background-size: cover;
}

.content-container .list-use li:first-child .ttl {
  background-image: url(../img/use_private.jpg);
}

.content-container .list-use li:nth-child(2) .ttl {
  background-image: url(../img/use_transport.jpg);
}

.content-container .list-use li:nth-child(3) .ttl {
  background-image: url(../img/use_studio.jpg);
}

.content-container .list-use .ttl span {
  color: #fff;
  font-weight: bold;
  width: 100%;
  background: rgba(0, 0, 0, 0.6);
  text-align: center;
  padding: 8px;
  font-size: 5cqw;
}

.content-container .list-use .desc {
  padding: 8px;
  color: var(--color-main);
  font-size: 14px;
}

/* ブランド */
.content-container .list-brand {
  display: grid;
  grid-template-columns: repeat(7, minmax(130px, 1fr));
  gap: 8px;
  margin-inline: -16px;
  padding-inline: 16px;
  overflow-x: auto;
}

.content-container .list-brand li {
  display: contents;
}

.content-container .list-brand a {
  display: flex;
  flex-direction: column;
  gap: 4px;
  padding: 10px 6px;
  align-items: center;
  color: var(--color-main);
  font-size: 12px;
}

.content-container .list-brand img {
  display: none;
}

.content-container .list-brand .name {
  font-weight: bold;
  font-size: 14px;
}

/* 素材から選ぶ */
.content-container .list-material {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 8px;
}

.content-container .list-material li {
  display: contents;
}

.content-container .list-material .card {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 2px 8px;
  align-items: center;
  padding: 0 8px;
  color: var(--color-main);
}

.content-container .list-material .card img {
  width: 80px;
  height: 60px;
  object-fit: scale-down;
  grid-row: 1 / 3;
}

.content-container .list-material .ttl {
  font-weight: bold;
  margin-top: auto;
  font-size: 14px;
}

.content-container .list-material .desc {
  margin-bottom: auto;
  font-size: 13px;
}

@container content-container (width < 480px) {
  .content-container .list-material {
    grid-template-columns: 1fr;
  }
}

/* ユニット数から選ぶ */
.content-container .list-unit {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 8px;
}

.content-container .list-unit li {
  display: contents;
}

.content-container .list-unit .card {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 60px;
  font-weight: bold;
  color: var(--color-main);
  font-size: 16px;
}

/* ラック・ケースセレクター */
.content-container .bnr-rackcase-selector {
  display: block;
  background-color: #1c6782;
  height: 100px;
  border-radius: 8px;
  color: #fff;
  padding: 16px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-image: url(../img/bg_rackcase_selector.png);
  background-repeat: no-repeat;
  background-position: right 50px center;
  background-size: 40%;
}

.content-container .bnr-rackcase-selector .box-txt span {
  display: inline-block;
  background-color: var(--color-accent);
  color: #fff;
  font-weight: bold;
  font-size: 11px;
  padding: 2px 8px;
  border-radius: 100px;
}

.content-container .bnr-rackcase-selector .ttl {
  font-weight: bold;
  font-size: 22px;
}

.content-container .bnr-rackcase-selector .sub {
  font-size: 11px;
}

.content-container .bnr-rackcase-selector .box-btn {
  background: #fff;
  color: var(--color-main);
  display: flex;
  gap: 4px;
  align-items: center;
  padding: 4px 16px;
  border-radius: 100px;
  font-size: 13px;
  white-space: nowrap;

  @container content-container (width < 540px) {
    display: none;
  }
}

@container content-container (width < 480px) {
  .content-container .bnr-rackcase-selector {
    background-position: right 16px center;
  }
  .content-container .bnr-rackcase-selector .ttl {
    font-size: 18px;
  }
}

/* ランキング */
.content-container .list-ranking {
  display: grid;
  grid-template-columns: repeat(5, minmax(220px, 1fr));
  gap: 16px;
  margin-inline: -16px;
  padding-inline: 16px;
  padding-top: 10px;
  overflow-x: auto;
}

.content-container .list-ranking li {
  display: contents;
}

.content-container .list-ranking .card {
  padding: 8px;
  text-align: center;
  color: var(--color-main);
  position: relative;
  overflow: visible;
}

.content-container .list-ranking .rank {
  position: absolute;
  top: -8px;
  left: -8px;
  width: 30px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-weight: bold;
  background-color: var(--color-accent);
  border-radius: 50%;
}

/* 比較表 */
.content-container .wrap-tbl {
  overflow-x: auto;
  margin-inline: -16px;
  padding-inline: 16px;
}

.content-container .tbl {
  width: 100%;
  border-collapse: collapse;
}

.content-container .tbl th,
.content-container .tbl td {
  border: 1px solid #cbd5e1;
  padding: 8px;
  text-align: center;
  font-size: 13px;
  white-space: nowrap;
}

.content-container .tbl th {
  background: var(--color-main);
  color: #fff;
}

.content-container .tbl .mat-name {
  background: var(--color-sub);
}

.content-container .tbl .sh-vp-status {
  font-size: 15px;
}

.content-container .tbl .good {
  color: #ef4444;
}

.content-container .tbl .ok {
  color: #3b82f6;
}

/* ブログ */
.content-container .list-blog {
  display: grid;
  grid-template-columns: repeat(5, minmax(200px, 1fr));
  gap: 16px;
  margin-inline: -16px;
  padding-inline: 16px;
  overflow-x: auto;
}

.content-container .list-blog li {
  display: contents;
}

.content-container .list-blog .label {
  color: var(--color-accent);
  font-weight: bold;
  font-size: 11px;
  margin: 8px 8px 4px;
}

.content-container .list-blog .title {
  font-size: 13px;
  color: var(--color-main);
  margin: 0 8px 10px;
}

/* 動画 */
.content-container .list-video {
  display: grid;
  grid-template-columns: repeat(4, minmax(200px, 1fr));
  gap: 16px;
  margin-inline: -16px;
  padding-inline: 16px;
  overflow-x: auto;
}

.content-container .list-video li {
  display: contents;
}

.content-container .list-video .card {
  position: relative;
  color: var(--color-main);
}

.content-container .list-video .card::after {
  position: absolute;
  display: block;
  content: "";
  width: 100%;
  aspect-ratio: 16 / 9;
  top: 0;
  left: 0;
  background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" height="100%" version="1.1" viewBox="0 0 68 48" width="100%" fill="%23ffffff"><path d="M66.52,7.74c-0.78-2.93-2.49-5.41-5.42-6.19C55.79,.13,34,0,34,0S12.21,.13,6.9,1.55 C3.97,2.33,2.27,4.81,1.48,7.74C0.06,13.05,0,24,0,24s0.06,10.95,1.48,16.26c0.78,2.93,2.49,5.41,5.42,6.19 C12.21,47.87,34,48,34,48s21.79-0.13,27.1-1.55c2.93-0.78,4.64-3.26,5.42-6.19C67.94,34.95,68,24,68,24S67.94,13.05,66.52,7.74z" fill="%23f00"></path><path d="M 45,24 27,14 27,34" fill="%23fff"></path></svg>') no-repeat center center;
  background-size: 25%;
  transition: 0.3s;
  opacity: 0.5;
  filter: grayscale(10%);
}

.content-container .list-video .card:hover::after {
  filter: grayscale(0);
  opacity: 0.9;
}

.content-container .list-video .card p {
  font-size: 14px;
  margin: 8px;
}

/* FAQ */
.content-container .list-faq {
  border: 1px solid #e2e8f0;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.02);
  border-radius: 8px;
  padding: 8px 16px;
  font-size: 14px;
}

.content-container .list-faq > div {
  padding: 10px 0;
}

.content-container .list-faq > div + div {
  border-top: 1px solid #e2e8f0;
}

.content-container .list-faq dt {
  font-weight: bold;
  margin-bottom: 4px;
}

.content-container .list-faq dt::before {
  content: "Q.";
  font-weight: bold;
  color: var(--color-accent);
  margin-right: 4px;
}

.content-container .list-faq dd::before {
  content: "A.";
  font-weight: bold;
  color: var(--color-main);
  margin-right: 4px;
}